Package org.apache.commons.math3.ml.distance

# Class CanberraDistance

java.lang.Object
org.apache.commons.math3.ml.distance.CanberraDistance

All Implemented Interfaces:
  `Serializable`, `DistanceMeasure`

public class CanberraDistance extends Object implements DistanceMeasure
Calculates the Canberra distance between two points.

Since:
  3.2
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CanberraDistance()`

## Method Summary

Modifier and Type
Method
Description
`double`
`compute(double[] a, double[] b)`
Compute the distance between two n-dimensional vectors.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CanberraDistance

public CanberraDistance()

## Method Details

### compute

public double compute(double[] a, double[] b) throws DimensionMismatchException
Compute the distance between two n-dimensional vectors.

The two vectors are required to have the same dimension.

Specified by:
  `compute` in interface `DistanceMeasure`
Parameters:
  `a` - the first vector
  `b` - the second vector
Returns:
  the distance between the two vectors
Throws:
  `DimensionMismatchException` - if the array lengths differ.